Create or replace the caller's review (needs ≥ 1 credited round on this project)
PUT
/v1/projects/{project_id}/reviews
const url = 'https://testnet-rpc.necter.network/v1/projects/example/reviews';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"rating":1,"comment":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://testnet-rpc.necter.network/v1/projects/example/reviews \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "rating": 1, "comment": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
rating
required
integer
comment
required
string
Example generated
{ "rating": 1, "comment": "example"}Responses
Section titled “Responses”Saved
Media typeapplication/json
object
review_id
required
string
project_id
required
string
author
required
Lowercase EVM address
string
author_name
string | null
rating
required
integer
comment
required
string
helpful
integer
verified_miner
boolean
created_at
required
integer
updated_at
integer
Example generated
{ "review_id": "example", "project_id": "example", "author": "example", "author_name": "example", "rating": 1, "comment": "example", "helpful": 1, "verified_miner": true, "created_at": 1, "updated_at": 1}Missing/invalid credentials (unauthorized, session_expired, bad_signature)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}Authenticated but not allowed (forbidden, not_owner, not_enrolled, not_verified, scope_missing)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}